commit 8b1df6344eb15efa8b355b22f8512a2c953f3d99
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Oct 2 00:20:53 2024 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 76549858b25..f464e65124d 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20241001
+20241002
diff --git a/gcc/c-family/ChangeLog b/gcc/c-family/ChangeLog
index 46445dfdacc..85a2145b8e2 100644
--- a/gcc/c-family/ChangeLog
+++ b/gcc/c-family/ChangeLog
@@ -1,3 +1,8 @@
+2024-10-01  Jason Merrill  <jason@redhat.com>
+
+	* c-cppbuiltin.cc (c_cpp_builtins): Don't define __cpp_concepts
+	before C++17.
+
 2024-08-01  Release Manager
 
 	* GCC 14.2.0 released.
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index b864fdaa8a7..ac5dd8c49e5 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,14 @@
+2024-10-01  Jason Merrill  <jason@redhat.com>
+
+	PR c++/115361
+	* call.cc (do_warn_dangling_reference): Check is_empty_class.
+
+2024-10-01  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/115987
+	* call.cc (do_warn_dangling_reference): Don't consider a
+	temporary with a scalar type that cannot bind to the return type.
+
 2024-09-20  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index aa7f591527d..3c43c238f0a 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,22 @@
+2024-10-01  Jason Merrill  <jason@redhat.com>
+
+	PR c++/115361
+	* g++.dg/ext/attr-no-dangling6.C
+	* g++.dg/ext/attr-no-dangling7.C
+	* g++.dg/ext/attr-no-dangling8.C
+	* g++.dg/ext/attr-no-dangling9.C
+	* g++.dg/warn/Wdangling-reference1.C
+	* g++.dg/warn/Wdangling-reference2.C
+	* g++.dg/warn/Wdangling-reference3.C: Make classes non-empty.
+	* g++.dg/warn/Wdangling-reference23.C: New test.
+
+2024-10-01  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/115987
+	* g++.dg/ext/attr-no-dangling6.C: Adjust.
+	* g++.dg/ext/attr-no-dangling7.C: Likewise.
+	* g++.dg/warn/Wdangling-reference22.C: New test.
+
 2024-09-28  H.J. Lu  <hjl.tools@gmail.com>
 
 	Backported from master:

